# Get sender for project

Returns a sender for a project.

Endpoint: GET /v1/projects/{projectId}/rcs/senders/{senderId}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the <a href="https://dashboard.sinch.com/">Sinch Dashboard</a>.

  - `senderId` (string, required)
    The unique ID of the sender.

## Response 200:

  - `200` (unknown)
    Sender

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique ID of the sender.

  - `conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `conversationApiAppDetails.id` (string, required)
    ID of the app

  - `conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `state` (string)
    The current state of the sender.
    Enum: "DRAFT", "IN_PROGRESS", "IN_TEST", "LAUNCHED", "LAUNCHING", "PREPARING_LAUNCH", "UNLAUNCHED", "UNKNOWN"

  - `testNumberStates` (array)
    Test phone numbers states.

  - `testNumberStates.number` (string, required)
    Test phone number.

  - `testNumberStates.state` (string, required)
    Test phone state.
    Enum: "DECLINED", "INVALID", "PENDING", "REJECTED", "UNVERIFIED", "VERIFIED", "UNRECOGNIZED"

  - `testNumberStates.submitted` (string, required)
    Date of submitting phone number.

  - `countryStatus` (array)
    Countries status.

  - `countryStatus.country` (string, required)
    Two-letter country code in ISO 3166 standard.
    Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BW", "BY", "BZ", "CA", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GT", "GU", "GW", "GY", "HK", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW", "UNRECOGNIZED"

  - `countryStatus.status` (string, required)
    Country status.
    Enum: "LAUNCHED", "NOT_LAUNCHED", "PENDING", "PENDING_UNLAUNCHED", "REJECTED", "SUSPENDED", "UNLAUNCHED", "INVALID_IN_GOOGLE_MY_BUSINESS", "UNRECOGNIZED"

  - `countryStatus.operators` (array, required)
    Mobile network operators.

  - `countryStatus.operators.name` (string, required)
    Operator name.

  - `countryStatus.operators.status` (string, required)
    Operator status.
    Enum: "LAUNCHED", "NOT_LAUNCHED", "PENDING", "PENDING_UNLAUNCHED", "REJECTED", "SUSPENDED", "UNLAUNCHED", "INVALID_IN_GOOGLE_MY_BUSINESS", "UNRECOGNIZED"

  - `countryStatus.operators.remark` (string)
    Any comments or notes to the current state.

  - `countryStatus.operators.modified` (string)
    Last date the operator changed state.

  - `details` (object)
    Sender details and information.

  - `details.brand` (object)
    Brand information.

  - `details.brand.name` (string)
    Brand name.

  - `details.brand.emails` (array)
    Contact emails.

  - `details.brand.emails.label` (string, required)
    Contact email label.

  - `details.brand.emails.address` (string, required)
    Contact email address.

  - `details.brand.phones` (array)
    Contact phone numbers.

  - `details.brand.phones.label` (string, required)
    Contact phone label.

  - `details.brand.phones.number` (string, required)
    Contact phone number. A phone number without country code and without separators, or a valid e.164 phone number.

  - `details.brand.websites` (array)
    Contact websites.

  - `details.brand.websites.label` (string, required)
    Contact website label.

  - `details.brand.websites.url` (string, required)
    Contact website address.

  - `details.brand.color` (string)
    Brand color (HEX code).

  - `details.brand.description` (string)
    Brand description.

  - `details.brand.bannerUrl` (string)
    Brand banner url.

  - `details.brand.logoUrl` (string)
    Brand logo url.

  - `details.brand.privacyPolicyUrl` (string)
    Privacy Policy URL.

  - `details.brand.termsOfServiceUrl` (string)
    Terms & Conditions URL.

  - `details.callbackUrl` (string)
    Use Webhooks instead for sender update events.

  - `details.testNumbers` (array)
    Phone numbers for testing. An agent can send 20 tester requests each day with a total maximum of 200 tester requests.

  - `details.countries` (array)
    List of two-letter country codes in ISO 3166 standard, specifying the countries to launch RCS sender in.

  - `details.questionnaire` (object, required)
    Launch questionnaire.

  The launch questionnaire is based on information required by different Suppliers and Operators. As such, especially the country specific, may be subject to change.

  - `details.questionnaire.general` (object, required)
    General launch questions

  - `details.questionnaire.general.questions` (object, required)
    Launch questions

  - `details.questionnaire.general.questions.optInDescription` (object, required)
    How you obtain opt-in to message users.

  - `details.questionnaire.general.questions.optInDescription.question` (string, required)
    Human readable question.

  - `details.questionnaire.general.questions.optInDescription.suggestedAnswers` (array, required)
    Suggested answers to the question.

  - `details.questionnaire.general.questions.triggerDescription` (object, required)
    Actions that triggers messages to users.

  - `details.questionnaire.general.questions.interactionsDescription` (object, required)
    Interactions with users.

  - `details.questionnaire.general.questions.optOutDescription` (object, required)
    The message the sender sends when a user opts out.

  - `details.questionnaire.general.questions.videoUris` (object, required)
    Publicly available URIs for videos of the sender, for review purposes only.

  - `details.questionnaire.general.questions.screenshotUris` (object, required)
    Publicly available URIs for screenshots of the sender, for review purposes only.

  - `details.questionnaire.general.answers` (object, required)
    Launch answers

  - `details.questionnaire.general.answers.optInDescription` (string)
    How you obtain opt-in to message users.

  - `details.questionnaire.general.answers.optInDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.optInDescriptionMetadata.ignore` (string)
    Ignore given string on launch, e.g. custom delimiter.

  - `details.questionnaire.general.answers.triggerDescription` (string)
    Actions that triggers messages to users.

  - `details.questionnaire.general.answers.triggerDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.interactionsDescription` (string)
    Interactions with users.

  - `details.questionnaire.general.answers.interactionsDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.optOutDescription` (string)
    The message the sender sends when a user opts out.

  - `details.questionnaire.general.answers.optOutDescriptionMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.general.answers.videoUris` (array)
    Publicly available URIs for videos of the sender, for review purposes only.

  - `details.questionnaire.general.answers.screenshotUris` (array)
    Publicly available URIs for screenshots of the sender, for review purposes only.

  - `details.questionnaire.verification` (object, required)
    Verification questions.

  - `details.questionnaire.verification.questions` (object, required)
    Verification questions.

  - `details.questionnaire.verification.questions.name` (object, required)
    Name of verification contact.

  - `details.questionnaire.verification.questions.email` (object, required)
    Email of verification contact.

  - `details.questionnaire.verification.questions.title` (object, required)
    Title of verification contact.

  - `details.questionnaire.verification.questions.website` (object, required)
    Website of verification contact.

  - `details.questionnaire.verification.questions.phone` (object, required)
    Phone number of verification contact.

  - `details.questionnaire.verification.answers` (object, required)
    Verification answers.

  - `details.questionnaire.verification.answers.name` (string)
    Name of verification contact.

  - `details.questionnaire.verification.answers.email` (string)
    Email of verification contact.

  - `details.questionnaire.verification.answers.title` (string)
    Title of verification contact.

  - `details.questionnaire.verification.answers.website` (string)
    Website of verification contact.

  - `details.questionnaire.verification.answers.phone` (string)
    Phone number of verification contact.

  - `details.questionnaire.gb` (object)
    Launch questions specific for UK.

  - `details.questionnaire.gb.questions` (object, required)
    Launch questions specific for UK.

  - `details.questionnaire.gb.questions.brandIndustry` (object, required)
    Sector or industry of business. Not required for create, but required for launch.

  - `details.questionnaire.gb.questions.companyLegalName` (object, required)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.gb.questions.companyRegistrationNumber` (object, required)
    The company registration number.

  - `details.questionnaire.gb.questions.fullCompanyAddress` (object, required)
    Full company address.

  - `details.questionnaire.gb.questions.messagesVolume` (object, required)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.gb.questions.messagesFrequency` (object, required)
    Messages frequency.

  - `details.questionnaire.gb.questions.campaignLength` (object, required)
    Length of campaign.

  - `details.questionnaire.gb.answers` (object, required)
    Launch answers specific for UK.

  - `details.questionnaire.gb.answers.brandIndustry` (string)
    Sector or industry of business. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.companyLegalName` (string)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.companyRegistrationNumber` (string)
    The company registration number.

  - `details.questionnaire.gb.answers.fullCompanyAddress` (string)
    Full company address.

  - `details.questionnaire.gb.answers.fullCompanyAddressMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.gb.answers.messagesVolume` (string)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.gb.answers.messagesFrequency` (string)
    Messages frequency.

  - `details.questionnaire.gb.answers.campaignLength` (string)
    Length of campaign.

  - `details.questionnaire.fr` (object)
    Launch questions specific for France.

  - `details.questionnaire.fr.questions` (object, required)
    Launch questions specific for France.

  - `details.questionnaire.fr.questions.fullCompanyAddress` (object, required)
    Full company address.

  - `details.questionnaire.fr.questions.siren` (object, required)
    Company directory identification system number.

  - `details.questionnaire.fr.answers` (object, required)
    Launch answers specific for France.

  - `details.questionnaire.fr.answers.fullCompanyAddress` (string)
    Full company address.

  - `details.questionnaire.fr.answers.fullCompanyAddressMetadata` (object)
    Metadata for specified answer.

  - `details.questionnaire.fr.answers.siren` (string)
    Company directory identification system number.

  - `details.questionnaire.us` (any)
    Launch questions specific for US.

  - `details.questionnaire.us.questions` (object, required)
    Launch questions specific for US.

  - `details.questionnaire.us.questions.companyLegalName` (object, required)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.companyPhoneNumber` (object, required)
    The registered phone number of the company. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.brandName` (object, required)
    Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.brandIndustry` (object, required)
    Sector or industry of business. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.legalForm` (object, required)
    Legal form of the company.

  - `details.questionnaire.us.questions.taxIdCountry` (object, required)
    Country of the company's tax registration.

  - `details.questionnaire.us.questions.taxId` (object, required)
    Tax registration identifier associated with the provided legal company name.

  - `details.questionnaire.us.questions.addressLine` (object, required)
    Street address line. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.addressCity` (object, required)
    City. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.addressCountry` (object, required)
    Country. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.addressState` (object, required)
    State (US only). Not required for create, but required for launch.

  - `details.questionnaire.us.questions.addressPostalCode` (object, required)
    Postal code. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.websiteUrl` (object, required)
    Primary website URL. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.contactFirstName` (object, required)
    First name of the responsible contact person. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.contactSurname` (object, required)
    Surname of the responsible contact person. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.stockExchange` (object, required)
    Primary home country stock exchange abbreviation. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.stockSymbol` (object, required)
    Primary home country stock symbol associated with stock exchange. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.sampleMessages` (object, required)
    Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.messagesVolume` (object, required)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.embeddedLink` (object, required)
    Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.embeddedPhone` (object, required)
    Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.ageGatedContent` (object, required)
    Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.

  - `details.questionnaire.us.questions.directLending` (object, required)
    Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.optInConfirmationMessage` (object, required)
    Opt-in confirmation message sent to users. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.helpMessage` (object, required)
    Help message of the campaign. Not required for create, but required for launch.

  - `details.questionnaire.us.questions.callToActionMessage` (object, required)
    Call to action message of the campaign. Not required for create, but required for launch.

  - `details.questionnaire.us.answers` (object, required)
    Launch answers specific for US.

  - `details.questionnaire.us.answers.ownershipType` (string)
    Ownership type of the company. Not required for create, but required for launch.
    Enum: "PRIVATE", "PUBLIC"

  - `details.questionnaire.us.answers.companyLegalName` (string)
    The registered legal name of the company. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.companyPhoneNumber` (string)
    The registered phone number of the company. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.brandName` (string)
    Brand name or Doing Business As (DBA). Must be legally associated with the provided legal company name. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.brandIndustry` (string)
    Sector or industry of business. Not required for create, but required for launch.
    Enum: "AGRICULTURE", "COMMUNICATION", "CONSTRUCTION", "EDUCATION", "ENERGY", "ENTERTAINMENT", "FINANCIAL", "GAMBLING", "GOVERNMENT", "HEALTHCARE", "HOSPITALITY", "HUMAN_RESOURCES", "INSURANCE", "LEGAL", "MANUFACTURING", "NON_GOVERNMENTAL_ORGANIZATION", "POLITICAL", "POSTAL", "PROFESSIONAL", "REAL_ESTATE", "RETAIL", "TECHNOLOGY", "TRANSPORTATION"

  - `details.questionnaire.us.answers.legalForm` (string)
    Legal form of the company.
    Enum: "CORPORATION", "LIMITED_LIABILITY_COMPANY", "PARTNERSHIP", "S_CORPORATION"

  - `details.questionnaire.us.answers.taxIdCountry` (string)
    Country of the company's tax registration.
    Enum: "AT", "BE", "BR", "CA", "CZ", "DK", "FI", "FR", "DE", "GR", "HU", "IT", "MX", "NL", "NO", "PE", "PL", "PT", "SG", "SK", "ES", "SE", "US", "GB"

  - `details.questionnaire.us.answers.taxId` (string)
    Tax registration identifier associated with the provided legal company name.

  - `details.questionnaire.us.answers.addressLine` (string)
    Street address line. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.addressCity` (string)
    City. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.addressCountry` (string)
    Country. Not required for create, but required for launch.
    Enum: "AT", "BE", "BR", "CA", "CZ", "DK", "FI", "FR", "DE", "GR", "HU", "IT", "MX", "NL", "NO", "PE", "PL", "PT", "SG", "SK", "ES", "SE", "US", "GB"

  - `details.questionnaire.us.answers.addressState` (string)
    State (US only). Not required for create, but required for launch.
    Enum: "AK", "AL", "AR", "AS", "AZ", "CA", "CO", "CT", "DC", "DE", "FL", "GA", "GU", "HI", "IA", "ID", "IL", "IN", "KS", "KY", "LA", "MA", "MD", "ME", "MI", "MN", "MO", "MP", "MS", "MT", "NC", "ND", "NE", "NH", "NJ", "NM", "NV", "NY", "OH", "OK", "OR", "PA", "PR", "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VI", "VT", "WA", "WI", "WV", "WY"

  - `details.questionnaire.us.answers.addressPostalCode` (string)
    Postal code. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.websiteUrl` (string)
    Primary website URL. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.contactFirstName` (string)
    First name of the responsible contact person. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.contactSurname` (string)
    Surname of the responsible contact person. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.stockExchange` (string)
    Primary home country stock exchange abbreviation. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.stockSymbol` (string)
    Primary home country stock symbol associated with stock exchange. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.sampleMessages` (array)
    Sample messages for each use case or message type sent by the brand. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.messagesVolume` (number)
    Messages volume. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.embeddedLink` (boolean)
    Flag indicating if URL links will be embedded within message payloads. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.embeddedPhone` (boolean)
    Flag indicating if phone numbers will be embedded within message payloads. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.ageGatedContent` (boolean)
    Indicates if the campaign content is restricted by age (e.g., alcohol, tobacco). Not required for create, but required for launch.

  - `details.questionnaire.us.answers.directLending` (boolean)
    Indicates if the campaign involves direct financial lending, requiring stricter compliance. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.optInConfirmationMessage` (string)
    Opt-in confirmation message sent to users. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.helpMessage` (string)
    Help message of the campaign. Not required for create, but required for launch.

  - `details.questionnaire.us.answers.callToActionMessage` (string)
    Call to action message of the campaign. Not required for create, but required for launch.

  - `region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US"

  - `billingCategory` (string, required)
    Billing category.
Note:
The  billing framework distinguishes between two primary categories: non-conversational and conversational.
The non-conversational category includes SINGLE_MESSAGE and BASIC_MESSAGE types which are considered functionally equivalent in the current revision.
The conversational category includes CONVERSATIONAL and CONVERSATIONAL_LEGACY types. Values BASIC_MESSAGE, SINGLE_MESSAGE and CONVERSATIONAL_LEGACY are deprecated and will be removed in a future version.
- CONVERSATIONAL: Designed for longer, more complex sessions where the user and brand exchange a series of messages.
- NON_CONVERSATIONAL: Represents a non-conversational billing category, which replaces the legacy SINGLE_MESSAGE and BASIC_MESSAGE categories. This is for agents that primarily engage in one-way (A2P) communication.
- BASIC_MESSAGE: Billing model is similar to SMS. Deprecated value, use NON_CONVERSATIONAL instead.
- CONVERSATIONAL_LEGACY: Legacy category to support the billing configuration of existing agents.  Deprecated value, use CONVERSATIONAL instead.
- SINGLE_MESSAGE: Replaces SMS with a richer messaging experience. Deprecated value, use NON_CONVERSATIONAL instead.
    Enum: "CONVERSATIONAL", "NON_CONVERSATIONAL", "BASIC_MESSAGE", "CONVERSATIONAL_LEGACY", "SINGLE_MESSAGE"

  - `useCase` (string, required)
    Use case.
    Enum: "MULTIUSE", "OTP", "PROMOTIONAL", "TRANSACTIONAL"

  - `hostingRegion` (string, required)
    Internal Google hosting region
    Enum: "ASIA_PACIFIC", "EUROPE", "NORTH_AMERICA"

  - `authName` (string)
    The name is needed to connect the sender to a Conversation API App.

  - `authToken` (string)
    The token is needed to connect the sender to a Conversation API App.

  - `created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `supplierDetails` (object)
    Supplier details.

  - `supplierDetails.google` (object)
    Google supplier details.

  - `supplierDetails.google.agentId` (string)
    Google agent id.

  - `supplierDetails.google.brandId` (string)
    Google brand id.

  - `launched` (string)
    The UTC Date Time in ISO 8601 for when the sender was last launched.

  - `brandDetails` (object)
    Brand registration details.

  - `brandDetails.id` (string, required)
    Unique identifier for the brand registration.

  - `brandDetails.status` (string, required)
    Current status of the brand registration.
    Enum: "ARCHIVED", "COMPLETED", "DRAFT", "UNRECOGNIZED", "UNSPECIFIED"

  - `brandDetails.registration` (object, required)
    Details of the channel-specific registration process.

  - `brandDetails.registration.id` (string, required)
    Unique identifier for the brand registration process.

  - `brandDetails.registration.status` (string, required)
    Current status of the brand registration process.
    Enum: "ARCHIVED", "COMPLETED", "INCOMPLETE", "NEW", "PENDING", "PENDING_REVIEW", "REJECTED", "UNRECOGNIZED", "UNSPECIFIED"

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: invalid_id_format

  - `message` (string)
    Human readable message.
    Example: Id is not in the expected format.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: senderId param is in the wrong format. Confirm that you're sending the correct value.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: rbm_has_not_been_used

  - `message` (string)
    Human readable message.
    Example: RBM has not been used.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again or reach out to support at si-richmessaging@sinch.com

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: sender_not_found

  - `message` (string)
    Human readable message.
    Example: Sender not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 429:

  - `429` (unknown)
    TooManyRequests

## Response 429 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: rbm_too_many_requests

  - `message` (string)
    Human readable message.
    Example: RCS Business Messaging too many requests.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Get response inTest` (unknown)
    Response with a sender inTest.

  - `Get response preparingLaunch` (unknown)
    Response with a sender preparingLaunch.

  - `Get response launching` (unknown)
    Response with a sender launching.

  - `Get response preparingLaunchBrand` (unknown)
    Response with a sender preparingLaunchBrand.

  - `[Deprecated] Get response inTest` (unknown)
    Response with a sender inTest.

  - `[Deprecated] Get response preparingLaunch` (unknown)
    Response with a sender preparingLaunch.

  - `[Deprecated] Get response launching` (unknown)
    Response with a sender launching.

